<?php
if (!isset($content_width))
    $content_width = 900;

add_action('admin_menu', 'opening_shortly_lite_pros');

function opening_shortly_lite_pros() {
    add_theme_page(esc_html__('Opening Shortly Lite Details', 'opening-shortly-lite'), esc_html__('Opening Shortly Lite Details', 'opening-shortly-lite'), 'edit_theme_options', 'opening_shortly_lite_pro', 'opening_shortly_lite_pro_details');
}

function opening_shortly_lite_pro_details() {
    ?>
    <div class="wrap">
        <h1><?php esc_html_e('Opening Shortly Lite', 'opening-shortly-lite'); ?></h1>

        <div>
            <img style="width:50%;" src="<?php echo esc_url(get_template_directory_uri()); ?>/screenshot.png" alt="<?php bloginfo('name'); ?>" style=" width: 100%;"> 
        </div>

        <p><strong> <?php esc_html_e('Description: ', 'opening-shortly-lite'); ?></strong><?php esc_html_e('The "Opening Shortly Lite" WordPress template is a minimal and professional design, perfect for businesses and websites that are soon to launch. The template features a clean and modern design with a countdown timer to let visitors know when your site will be ready. It also includes a subscription form to allow visitors to sign up and be notified when your site goes live. The template is fully responsive and optimized for all devices, ensuring a seamless experience for visitors no matter what device they use. The theme is built with the latest web technologies, making it fast, secure and easy to use. In terms of customization, the "Opening Shortly Lite" template offers several options for you to personalize your site. You can change the color scheme, font, and background image to match your brand and style. Additionally, the template includes countdown. Overall, the "Opening Shortly Lite" WordPress template is a simple and effective solution for businesses and websites that are coming soon. It provides a professional look and feel, and its responsive design and easy customization options make it a great choice for anyone looking to launch a new site.', 'opening-shortly-lite'); ?></p>
        <a class="button button-primary button-large" href="<?php echo esc_url(OPENING_SHORTLY_LITE_THEMEURL); ?>" target="_blank"><?php esc_html_e('Theme Url', 'opening-shortly-lite'); ?></a>	
        <a class="button button-primary button-large" href="<?php echo esc_url(OPENING_SHORTLY_LITE_PROURL); ?>" target="_blank"><?php esc_html_e('Pro Theme Url', 'opening-shortly-lite'); ?></a>
        <a class="button button-primary button-large" href="<?php echo esc_url(OPENING_SHORTLY_LITE_PURCHASEURL); ?>" target="_blank"><?php esc_html_e('Click To Purchase', 'opening-shortly-lite'); ?></a>
        <a class="button button-primary button-large" href="<?php echo esc_url(OPENING_SHORTLY_LITE_PURCHASEURL); ?>" target="_blank"><?php esc_html_e('Price: $9.99 Only', 'opening-shortly-lite'); ?></a>
        <a class="button button-primary button-large" href="<?php echo esc_url(OPENING_SHORTLY_LITE_DOCURL); ?>" target="_blank"><?php esc_html_e('Documentation', 'opening-shortly-lite'); ?></a>
        <a class="button button-primary button-large" href="<?php echo esc_url(OPENING_SHORTLY_LITE_DEMOURL); ?>" target="_blank"><?php esc_html_e('View Demo', 'opening-shortly-lite'); ?></a>
        <a class="button button-primary button-large" href="<?php echo esc_url(OPENING_SHORTLY_LITE_SUPPORTURL); ?>" target="_blank"><?php esc_html_e('Support', 'opening-shortly-lite'); ?></a>
    </div> 
    <div style="clear:both;"></div>
    
<?php } ?>
<?php
add_action('customize_register', 'opening_shortly_lite_customize_register');
define('OPENING_SHORTLY_LITE_PROURL', 'https://www.themescave.com/themes/wordpress-template-opening-shortly-pro/');
define('OPENING_SHORTLY_LITE_THEMEURL', 'https://www.themescave.com/themes/wordpress-template-opening-shortly-lite/');
define('OPENING_SHORTLY_LITE_DOCURL', 'https://www.themescave.com/documentation/opening-shortly-pro/');
define('OPENING_SHORTLY_LITE_DEMOURL', 'https://www.themescave.com/demo/opening-shortly-pro/');
define('OPENING_SHORTLY_LITE_SUPPORTURL', 'https://www.themescave.com/forums/forum/opening-shortly-pro/');
define('OPENING_SHORTLY_LITE_PURCHASEURL', 'https://www.themescave.com/themes/?add-to-cart=3772');